# calculate all unique! divider

# import
import matplotlib.pyplot as plot

# constants
N = 10**3

# calculate
teiler = [[] for i in range(0, N)]


for i in range(2, N):
    if not teiler[i]:
        for j in range(i, N, i):
            teiler[j].append(i)

    if i % (N / 10) == 0:
        print('.', end='')

# prepare visual
ax = plot.figure().add_subplot(111)
ax.set_xlim([0, N])
ax.set_ylim([0, 600])

ax.set_xlabel('n')
ax.set_ylabel('Anzahl für ein bestimmten $\omega$')

# count per interval
counter = [0 for i in range(10)]
counter_draw = [[] for c in range(10)]

for i in range(1, N):
    t = len(teiler[i])
    counter[t] += 1
    
    for j, c in enumerate(counter):
        counter_draw[j].append(c)

for j, c in enumerate(counter):
    counter_draw[j].append(c)

for i, c in enumerate(counter_draw):
    if c[-1] > 1 and i > 0:
        ax.plot(range(0, N), c, '-', label='T = %s' % j)
        ax.text(880, c[-1]+5, '$\omega$ = %s' % i)

plot.show()

